package com.ym.mec.common.entity;

import com.alibaba.fastjson.JSONObject;

public class ImTxtMessage extends ImBaseMessage {
    private String content = "";
    private String extra = "";
    private static final transient String TYPE = "RC:TxtMsg";

    public ImTxtMessage(String content, String extra) {
        this.content = content;
        this.extra = extra;
    }

    public String getType() {
        return TYPE;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getExtra() {
        return this.extra;
    }

    public void setExtra(String extra) {
        this.extra = extra;
    }

    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
